maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Manfred Stock (JIRA)" <j...@codehaus.org>
Subject [jira] Updated: (MANTLR-13) Upgrade to Antlr 2.7.7
Date Sun, 04 Mar 2007 16:16:00 GMT

     [ http://jira.codehaus.org/browse/MANTLR-13?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Manfred Stock updated MANTLR-13:
--------------------------------

    Attachment: patch

As AntLR 2.7.7 seems to have made it to the Maven2 repositories (http://repo1.maven.org/maven2/antlr/antlr/2.7.7/),
a patch like the attached one should add support for it. The provided unit tests still succeed
(and the emitted warnings look very similar to those already produced with AntLR 2.7.4), and
the generated classes for the grammar in my project actually do work this way.

> Upgrade to Antlr 2.7.7
> ----------------------
>
>                 Key: MANTLR-13
>                 URL: http://jira.codehaus.org/browse/MANTLR-13
>             Project: Maven 2.x Antlr Plugin
>          Issue Type: Improvement
>    Affects Versions: 2.0-beta-1
>            Reporter: Ersin Er
>             Fix For: 2.0-beta-2
>
>         Attachments: patch
>
>
> Latest version of the plugin still depends on Antlr v2.7.4, however latest version of
Antlr is v.2.7.7. Upgrading to the latest version of Antlr will fix some issues as reported
in its release notes.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message